<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@23A691=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@004CEC</action>
      <action>temp1 =maincpu.mb@004D4E</action>
    </script>
    <script state="run">
      <action>maincpu.mb@004CEC=60</action> <!-- Sprites -->
      <action>maincpu.mb@004D4E=60</action> <!-- Bullets -->
    </script>
    <script state="off">
      <action>maincpu.mb@004CEC=temp0 </action>
      <action>maincpu.mb@004D4E=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Select Upgrade">
    <parameter>
      <item value="0x00">Small Wing (Normal)</item>
      <item value="0x01">Big Wing</item>
      <item value="0x02">Jet Engine</item>
      <item value="0x03">Turbo Engine</item>
      <item value="0x04">Rocket Engine</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@23A7D3=param</action>
    </script>
  </cheat>

  <cheat desc="Select Bomb">
    <parameter>
      <item value="0x00">Single Bomb</item>
      <item value="0x01">Twin Bombs</item>
      <item value="0x02">Big Bomb</item>
      <item value="0x03">Twin Big Bombs</item>
      <item value="0x04">Triple Bombs</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@23A7CB=param</action>
    </script>
  </cheat>

  <cheat desc="Select Shot">
    <parameter>
      <item value="0x00">Twin Shot (Normal)</item>
      <item value="0x01">Twin Big Shot</item>
      <item value="0x02">Laser Beam</item>
      <item value="0x03">Wide Beam</item>
      <item value="0x04">Fire Shot</item>
      <item value="0x05">7-way Shot</item>
      <item value="0x06">3-way Shot</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@23A7D1=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Shot">
    <script state="run">
      <action>maincpu.pw@228947=0000|(maincpu.pw@228947 BAND ~0202)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Bombs">
    <script state="run">
      <action>maincpu.pw@228947=0000|(maincpu.pw@228947 BAND ~0404)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@23A6AD=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Gold PL1">
    <script state="run">
      <action>maincpu.pd@23A6A6=000F423F</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@23A733=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Gold PL2">
    <script state="run">
      <action>maincpu.pd@23A72C=000F423F</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
